const analyticsPageEvents = Object.freeze({
    ENTRY: 'ENTRY',
    EVENT: 'EVENT'
});

// GA Constants
const GaEvents = Object.freeze({
    GENERIC_EVENT: 'event',
    PAGE_VIEW_EVENT: 'logPageview'
});

const GaCategories = Object.freeze({
    API_RESPONSE: 'Api_Response',
    CONFIRMATION_CLICKED: "confirmation clicked",
    CONFIRMATION_CLICKED_INSHOP: "inshop confirmation clicked",
    CONFIRMATION_CLICKED_MOBILE: "mobile confirmation clicked",
    EVOX: 'Evox'
});

const GaActions = Object.freeze({
    CLICKED: 'Clicked',
    NO: "no",
    RESULT: 'Result',
    SUBMITTED: 'Submitted',
    VIF: 'vif',
    YES: "yes",
});

const GaLabels = Object.freeze({
    ADDRESS_LOOKUP: 'Address_Look_up',
    ERROR: 'Error',
    LICENSE_PLATE_LOOKUP: 'License_Plate_Look_Up',
    NO: "no",
    SUCCESS: 'Success',
    VIN_LOOKUP: 'Vin_Look_Up',
    YES: "yes",
});

const ValueToLogTypes = Object.freeze({
    LAST_5: 'last_5'
});

export { analyticsPageEvents, GaCategories, GaActions, GaLabels, GaEvents, ValueToLogTypes };
